Endpoints · Protocols

Retrieve a protocol

Returns one protocol with its audit and incident record.

GET/api/v1/protocols/{id}

Scope: read

Parameters

Request
curl https://yieldsniper.finance/api/v1/protocols/prt_3jane-lending \
  -H "Authorization: Bearer $YS_API_KEY"
Response200
{
  "object": "protocol",
  "id": "prt_3jane-lending",
  "name": "3Jane Lending",
  "chains": [
    {
      "id": "ethereum",
      "name": "Ethereum"
    }
  ],
  "instruments": {
    "total": 2,
    "passed": 1
  },
  "tvl": 100545486,
  "audit": {
    "on_record": true,
    "count": 2
  },
  "incidents": {
    "count": 0,
    "last_at": null,
    "total_lost": 0
  },
  "age_days": 415,
  "as_of": "2026-10-23T23:45:21.116Z"
}

Returns